Subject: Re: Seeking Open Mobile Messaging Protocols -- Efficient E-Mail

From: Graham Klyne <[email-masked]>
Date: Mon, 03 Jul 2000 12:44:16 +0100

In response to a recent request for information about efficient messaging 
protocols, may I refer you to a proposal that has been offered as a 
candidate for IMPP, but which is built on a relay model capable of matching 
and enhancing SMTP transfer semantics:

   http://search.ietf.org/internet-drafts/draft-mrose-imxp-core-00.txt
   http://search.ietf.org/internet-drafts/draft-mrose-imxp-access-00.txt
   http://search.ietf.org/internet-drafts/draft-mrose-blocks-protocol-04.txt

#g
--

At 05:33 AM 6/26/00 +0000, Mohsen BANAN-Public wrote:
>Existing SMTP/IMAP/TCP technology is not well suited for
>mobile and wireless environments where bandwidth and
>capacity are always limited and precious.
>
>
>More efficient protocols are needed to address the new
>reality of mobile and wireless networks. I am seeking
>open protocols which are better suited to address the
>requirements of mobile and wireless networks.
>
>The key functional requirements for the protocols that
>I am seeking are:
>
>  -  Provide for the submission and delivery of short
>     (4 kilobytes or less) Internet e-mail messages
>     with the same level of functionality (or higher)
>     that the existing SMTP protocols provide.
>
>  -  Provide the same (or better) level of reliability
>     and security that the existing SMTP protocols provide.
>
>  -  Make reasonable trade-offs between specification complexity,
>     implementation complexity, extendibility, scalability and efficiency.
>
>  -  Provide the required efficiency characteristics. These include:
>     minimizing the number of transmissions, minimizing the number of
>     bytes transmitted, minimizing the latency of message
>     submission and delivery.
>
>
>The protocols I seek are intended to be used primarily
>in IP based wide area wireless environments (e.g., CDPD)
>The devices used have a wide variety of form factors and
>platforms.
>
>Timely delivery ("push") to unconscious carry devices
>similar to the two-way paging model is also an important
>goal.
>
>The origin of the open protocols that I am seeking can
>be any individual, company, or organization, provided:
>
>   - The protocols are intended to be patent-free and are
>     declared as such.
>
>   - They are published as stable specifications and are
>     readily and permanently available to anyone.
>     RFC publication is the prefered method.
>
>   - Participation in the maintenance and enhancement of the protocols
>     is public, open and free. The maintenance process must
>     also be such as to maintain the patent-free nature of the protocols.
>
>
>The absence of a set of open protocols satisfying these requirements
>has led to the adoption of patented protocols such as WAP, and the
>appearance of closed systems such as BlackBerry (tm).
>
>I consider the availability of open alternatives in this
>area to be of benefit to the consumer and the industry.
>
>
>If you are aware of any protocol specifications which
>address the above mentioned requirements please send me
>--
>     Mohsen BANAN  mailto:[email-masked]
>--
>a note. I will compile the results, then make publicly available.
>
>Please feel free to distribute this request wherever appropriate.
>
>
>Thank you.
>
>Mohsen BANAN
>
>-
>This message was passed through [email-masked], which
>is a sublist of [email-masked]. Not all messages are passed.
>Decisions on what to pass are made solely by Harald Alvestrand.

------------
Graham Klyne
([email-masked])